All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
input.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Typedefs

typedef struct _snd_input | snd_input_t
| Internal structure for an input object. More...

## Enumerations

enum | snd_input_type_t { SND_INPUT_STDIO, SND_INPUT_BUFFER }

## Functions

int | snd_input_stdio_open (snd_input_t **inputp, const char *file, const char *mode)
| Creates a new input object reading from a file. More...
int | snd_input_stdio_attach (snd_input_t **inputp, FILE *fp, int _close)
| Creates a new input object using an existing stdio `FILE` pointer. More...
int | snd_input_buffer_open (snd_input_t **inputp, const char *buffer, ssize_t size)
| Creates a new input object from a memory buffer. More...
int | snd_input_close (snd_input_t *input)
| Closes an input handle. More...
int | snd_input_scanf (snd_input_t *input, const char *format,...)
| Reads formatted input (like `fscanf(3)`) from an input handle. More...
char * | snd_input_gets (snd_input_t *input, char *str, size_t size)
| Reads a line from an input handle (like `fgets(3)`). More...
int | snd_input_getc (snd_input_t *input)
| Reads a character from an input handle (like `fgetc(3)`). More...
int | snd_input_ungetc (snd_input_t *input, int c)
| Puts the last character read back to an input handle (like `ungetc(3)`). More...

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver